%-------------------------------------------------
%
%  A lexicon defined by m4 macros!
%
%-------------------------------------------------












































%-------------------------------------------------
%
% MOTION VERBS (1.3.1)
%
%-------------------------------------------------
   
% MOVE (any motion)

word = {
   name = { move }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { causedMotion(E,A,O,P) }
   presupposition = { ?L ?S ?T(startPath(P,L), startEvent(E,T), config(T,S,O,L)) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% SLIDE (smooth motion along a surface)

word = {
   name = { slide }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { causedMotion(E,A,O,P), smooth(E) }
   presupposition = { ?L ?S ?T(startPath(P,L), startEvent(E,T), config(T,S,O,L)), contact(P) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% ROTATE (circular motion around object center)

word = {
   name = { rotate }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { causedMotion(E,A,O,P) }
   presupposition = { ?L ?S ?T(startPath(P,L), startEvent(E,T), config(T,S,O,L)), 
		      ?X (around(P,X), center(O,X)) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% TURN (circular motion around object pivot)

word = {
   name = { turn }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { causedMotion(E,A,O,P) }
   presupposition = { ?L ?S ?T(startPath(P,L), startEvent(E,T), config(T,S,O,L)), 
		      ?X (around(P,X), pivot(O,X)) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% PUSH (motion involving force exerted away from agent)

word = {
   name = { push }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { forcedMotion(E,A,O,P) }
   presupposition = { ?L ?S ?T(startPath(P,L), startEvent(E,T), config(T,S,O,L)), 
		      away(P,A) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% PULL (motion involving force exerted toward agent)

word = {
   name = { pull }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { forcedMotion(E,A,O,P) }
   presupposition = { ?L ?S ?T(startPath(P,L), startEvent(E,T), config(T,S,O,L)), 
		      toward(P,A) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% LIFT (motion involving force upward)

word = {
   name = { lift }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { forcedMotion(E,A,O,P) }
   presupposition = { ?L ?S ?T(startPath(P,L), startEvent(E,T), config(T,S,O,L)), 
		      direction(P,up,exact) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

%-------------------------------------------------
%
% CHANGE OF STATE VERBS (1.3.3)
%
%-------------------------------------------------

% CONNECT (cause connection to be engaged) 

word = {
   name = { connect }
   basic = { true }
   decl = { alpha(E,A,O,U,R) }
   site = { s(E) }
   match = { (oamk to) }
   semantics = { endEvent(E,R), causedEvent(E,A), Result connected(R,O,U) }
   presupposition = { endEvent(E,R), ?T (startEvent(E,T), free(T,O)) }
   pragmatics = { true }
   trees = { imperativeOargChangeOfStateVerb(E,A,O,U) }
}.

% DISCONNECT (cause connection to be freed) 

word = {
   name = { disconnect }
   basic = { true }
   decl = { alpha(E,A,O,U,R) }
   site = { s(E) }
   match = { (oamk from) }
   semantics = { endEvent(E,R), causedEvent(E,A), Result free(R,O) }
   presupposition = { endEvent(E,R), ?T (startEvent(E,T), connected(T,O,U)) }
   pragmatics = { true }
   trees = { imperativeOargChangeOfStateVerb(E,A,O,U) }
}.

% REMOVE (get something away)

word = {
   name = { remove }
   basic = { true }
   decl = { alpha(E,A,O,U,R) }
   site = { s(E) }
   match = { (oamk from) }
   semantics = { endEvent(E,R), causedEvent(E,A), Result away(R,O,U) }
   presupposition = { endEvent(E,R), ?T (startEvent(E,T), loc(T,O,U)) }
   pragmatics = { true }
   trees = { imperativeOargChangeOfStateVerb(E,A,O,U) }
}.

%-------------------------------------------------
%
% NEAR MOTION VERBS (1.3.4)
%
%-------------------------------------------------

% POSITION (get something into the configuration intended for it)

word = {
    name = { position }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { endEvent(E,R), causedEvent(E,A), ?S Result config(R,S,O,L) }
    presupposition = { endEvent(E,R), positionPlace(O,L) }
    pragmatics = { true }
    trees = { imperativeNearMotionVerb(E,A,O,L) }
}.

% REPOSITION (get something back into the configuration intended for it)
% (NEW ENTRY)

word = {
    name = { reposition }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { endEvent(E,R), causedEvent(E,A), ?S Result config(R,S,O,L) }
    presupposition = { endEvent(E,R), positionPlace(O,L), ?S ?T1 ?T2(config(T1,S,O,L), clipped(T2,S), before(T2,R)) }
    pragmatics = { true }
    trees = { imperativeNearMotionVerb(E,A,O,L) }
}.

% INSTALL (fasten something into the configuration intended for it)
% (NEW ENTRY)

word = {
    name = { install }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { endEvent(E,R), causedEvent(E,A), ?S Result config(R,S,O,L), Result fastened(R,O,L) }
    presupposition = { endEvent(E,R), positionPlace(O,L) }
    pragmatics = { true }
    trees = { imperativeNearMotionVerb(E,A,O,L) }
}.

%-------------------------------------------------
%
% PUT VERBS (Will be 1.3.5)
%
%-------------------------------------------------

% PLACE
% (NEW ENTRY)
%    differs from position in that
%       - must be performed by hand
%       - "positions for objects" are intended to be permanent,
%         "places for objects" may be temporary

word = {
    name = { place }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { endEvent(E,R), directlyCausedEvent(E,A), ?S Result config(R,S,O,L) }
    presupposition = { endEvent(E,R), place(O,L) }
    pragmatics = { true }
    trees = { imperativePutVerb(E,A,O,L) }
}.

%-----------------------------------------------------------------
%
% NOUNS (1.4)
%
%-----------------------------------------------------------------

%-----------------------------------------------------------------
% 
% BASIC NOUNS (1.4.0/1.4.1)
%
%-----------------------------------------------------------------

word = {
   name = { sleeve }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { sleeve(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { sleeve }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), sleeve(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { sleeve }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { sleeve(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleNP(E,U) }
}.
word = {
   name = { sleeve }
   basic = { true }
   decl = { beta(U) }
   site = { nzero(U) }
   match = { () }
   semantics = { sleeve(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { NPOargNoArticleNP(U) }
}.
word = {
   name = { coupling }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { coupling(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { coupling }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), coupling(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { coupling }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { coupling(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleNP(E,U) }
}.
word = {
   name = { coupling }
   basic = { true }
   decl = { beta(U) }
   site = { nzero(U) }
   match = { () }
   semantics = { coupling(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { NPOargNoArticleNP(U) }
}.
word = {
   name = { joint }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { joint(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { joint }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), joint(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { joint }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { joint(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleNP(E,U) }
}.
word = {
   name = { joint }
   basic = { true }
   decl = { beta(U) }
   site = { nzero(U) }
   match = { () }
   semantics = { joint(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { NPOargNoArticleNP(U) }
}.
word = {
   name = { elbow }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { elbow(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { elbow }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), elbow(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { elbow }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { elbow(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleNP(E,U) }
}.
word = {
   name = { elbow }
   basic = { true }
   decl = { beta(U) }
   site = { nzero(U) }
   match = { () }
   semantics = { elbow(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { NPOargNoArticleNP(U) }
}.
word = {
   name = { valve }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { valve(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { valve }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), valve(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { valve }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { valve(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleNP(E,U) }
}.
word = {
   name = { valve }
   basic = { true }
   decl = { beta(U) }
   site = { nzero(U) }
   match = { () }
   semantics = { valve(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { NPOargNoArticleNP(U) }
}.
word = {
   name = { tube }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { tube(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { tube }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), tube(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { tube }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { tube(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleNP(E,U) }
}.
word = {
   name = { tube }
   basic = { true }
   decl = { beta(U) }
   site = { nzero(U) }
   match = { () }
   semantics = { tube(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { NPOargNoArticleNP(U) }
}.

%-----------------------------------------------------------------
% 
% PATHS WITH PLACE LANDMARKS (1.5.3)
%
%-----------------------------------------------------------------

word = {
   name = { into }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { ?PLC (endPath(P,PLC), placeType(PLC,in,LMK)) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
word = {
   name = { to }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { ?PLC (endPath(P,PLC), placeType(PLC,at,LMK)) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
word = {
   name = { on }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { ?PLC (endPath(P,PLC), placeType(PLC,on,LMK)) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
word = {
   name = { near }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { ?PLC (endPath(P,PLC), placeType(PLC,near,LMK)) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.

word = {
   name = { in }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,in,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpConfigPlace(E,P,O,LMK) }
}.
word = {
   name = { in }
   basic = { true }
   decl = { alpha(P,LMK) }
   site = { pp(P) }
   match = { () }
   semantics = { placeType(P,in,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { ppConfigPlace(P,LMK) }
}.
word = {
   name = { at }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,at,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpConfigPlace(E,P,O,LMK) }
}.
word = {
   name = { at }
   basic = { true }
   decl = { alpha(P,LMK) }
   site = { pp(P) }
   match = { () }
   semantics = { placeType(P,at,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { ppConfigPlace(P,LMK) }
}.
word = {
   name = { on }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,on,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpConfigPlace(E,P,O,LMK) }
}.
word = {
   name = { on }
   basic = { true }
   decl = { alpha(P,LMK) }
   site = { pp(P) }
   match = { () }
   semantics = { placeType(P,on,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { ppConfigPlace(P,LMK) }
}.
word = {
   name = { near }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,near,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpConfigPlace(E,P,O,LMK) }
}.
word = {
   name = { near }
   basic = { true }
   decl = { alpha(P,LMK) }
   site = { pp(P) }
   match = { () }
   semantics = { placeType(P,near,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { ppConfigPlace(P,LMK) }
}.
