%-------------------------------------------------
%
%  A lexicon defined by m4 macros!
%
%-------------------------------------------------












































%-------------------------------------------------
%
% MOTION VERBS (1.3.1)
%
%-------------------------------------------------
   
% MOVE (any motion)

word = {
   name = { move }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { causedMotion(E,A,O,P) }
   presupposition = { ?S ?T(startPath(P,S), startEvent(E,T), config(T,O,S)) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% SLIDE (smooth motion along a surface)

word = {
   name = { slide }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { causedMotion(E,A,O,P), smooth(E) }
   presupposition = { ?S ?T(startPath(P,S), startEvent(E,T), config(T,O,S)), contact(P) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% ROTATE (circular motion around object center)

word = {
   name = { rotate }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { causedMotion(E,A,O,P) }
   presupposition = { ?S ?T(startPath(P,S), startEvent(E,T), config(T,O,S)), 
		      ?X (around(P,X), center(O,X)) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% TURN (circular motion around object pivot)

word = {
   name = { turn }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { causedMotion(E,A,O,P) }
   presupposition = { ?S ?T(startPath(P,S), startEvent(E,T), config(T,O,S)), 
		      ?X (around(P,X), pivot(O,X)) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% PUSH (motion involving force exerted away from agent)

word = {
   name = { push }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { forcedMotion(E,A,O,P) }
   presupposition = { ?S ?T(startPath(P,S), startEvent(E,T), config(T,O,S)), 
		      away(P,A) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% PULL (motion involving force exerted toward agent)

word = {
   name = { pull }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { forcedMotion(E,A,O,P) }
   presupposition = { ?S ?T(startPath(P,S), startEvent(E,T), config(T,O,S)), 
		      toward(P,A) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% LIFT (motion involving force upward)

word = {
   name = { lift }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { forcedMotion(E,A,O,P) }
   presupposition = { ?S ?T(startPath(P,S), startEvent(E,T), config(T,O,S)), 
		      direction(P,up,exact) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

%-------------------------------------------------
%
% CHANGE OF STATE VERBS (1.3.3)
%
%-------------------------------------------------

% CONNECT (cause connection to be engaged) 

word = {
   name = { connect }
   basic = { true }
   decl = { alpha(E,A,O,U,R) }
   site = { s(E) }
   match = { (oamk to) }
   semantics = { endEvent(E,R), causedEvent(E,A), Result connected(R,O,U) }
   presupposition = { endEvent(E,R), ?T (startEvent(E,T), free(R,O)) }
   pragmatics = { true }
   trees = { imperativeOargChangeOfStateVerb(E,A,O,U) }
}.

% DISCONNECT (cause connection to be freed) 

word = {
   name = { disconnect }
   basic = { true }
   decl = { alpha(E,A,O,U,R) }
   site = { s(E) }
   match = { (oamk from) }
   semantics = { endEvent(E,R), causedEvent(E,A), Result free(R,O) }
   presupposition = { endEvent(E,R), ?T (startEvent(E,T), connected(T,O,U)) }
   pragmatics = { true }
   trees = { imperativeOargChangeOfStateVerb(E,A,O,U) }
}.

% REMOVE (get something away)

word = {
   name = { remove }
   basic = { true }
   decl = { alpha(E,A,O,U,R) }
   site = { s(E) }
   match = { (oamk from) }
   semantics = { endEvent(E,R), causedEvent(E,A), Result away(R,O,U) }
   presupposition = { endEvent(E,R), ?T (startEvent(E,T), loc(T,O,U)) }
   pragmatics = { true }
   trees = { imperativeOargChangeOfStateVerb(E,A,O,U) }
}.

%-------------------------------------------------
%
% NEAR MOTION VERBS (1.3.4)
%
%-------------------------------------------------

% POSITION (get something into the configuration intended for it)

word = {
    name = { position }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { endEvent(E,R), causedEvent(E,A), Result config(R,O,L) }
    presupposition = { endEvent(E,R), positionPlace(O,L) }
    pragmatics = { true }
    trees = { imperativeNearMotionVerb(E,A,O,L) }
}.

% REPOSITION (get something back into the configuration intended for it)
% (NEW ENTRY)

word = {
    name = { reposition }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { endEvent(E,R), causedEvent(E,A), Result config(R,O,L) }
    presupposition = { endEvent(E,R), positionPlace(O,L), ?T(before(T,R), config(T,O,L)) }
    pragmatics = { true }
    trees = { imperativeNearMotionVerb(E,A,O,L) }
}.

% INSTALL (fasten something into the configuration intended for it)
% (NEW ENTRY)

word = {
    name = { install }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { endEvent(E,R), causedEvent(E,A), Result config(R,O,L), Result fastened(R,O,L) }
    presupposition = { endEvent(E,R), positionPlace(O,L) }
    pragmatics = { true }
    trees = { imperativeNearMotionVerb(E,A,O,L) }
}.

%-------------------------------------------------
%
% PUT VERBS (Will be 1.3.5)
%
%-------------------------------------------------

% PLACE
% (NEW ENTRY)
%    differs from position in that
%       - must be performed by hand
%       - "positions for objects" are intended to be permanent,
%         "places for objects" may be temporary

word = {
    name = { place }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { endEvent(E,R), directlyCausedEvent(E,A), Result config(R,O,L) }
    presupposition = { endEvent(E,R), place(O,L) }
    pragmatics = { true }
    trees = { imperativePutVerb(E,A,O,L) }
}.

%-----------------------------------------------------------------
%
% NOUNS (1.4)
%
%-----------------------------------------------------------------

%-----------------------------------------------------------------
% 
% BASIC NOUNS (1.4.0/1.4.1)
%
%-----------------------------------------------------------------

word = {
   name = { handle }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { handle(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { handle }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), handle(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { handle }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { handle(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleNP(E,U) }
}.
word = {
   name = { handle }
   basic = { true }
   decl = { beta(U) }
   site = { nzero(U) }
   match = { () }
   semantics = { handle(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { NPOargNoArticleNP(U) }
}.
word = {
   name = { accessPanel }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { accessPanel(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { accessPanel }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), accessPanel(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { accessPanel }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { accessPanel(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleNP(E,U) }
}.
word = {
   name = { accessPanel }
   basic = { true }
   decl = { beta(U) }
   site = { nzero(U) }
   match = { () }
   semantics = { accessPanel(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { NPOargNoArticleNP(U) }
}.
word = {
   name = { generalMaintenance }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { generalMaintenance(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { generalMaintenance }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), generalMaintenance(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { generalMaintenance }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { generalMaintenance(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleNP(E,U) }
}.
word = {
   name = { generalMaintenance }
   basic = { true }
   decl = { beta(U) }
   site = { nzero(U) }
   match = { () }
   semantics = { generalMaintenance(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { NPOargNoArticleNP(U) }
}.

%-----------------------------------------------------------------
% 
% NOUNS WITH OPTIONAL ARGUMENTS 
%
%-----------------------------------------------------------------

word = {
   name = { position }
   basic = { true }
   decl = { alpha(I,O) }
   site = { np(I) }
   match = { (oamk of) }
   semantics = { position(O,I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleOargNP(I,O) }
}.
word = {
   name = { position }
   basic = { true }
   decl = { beta(E,U,O) }
   site = { vp(E,oarg(U)) }
   match = { (oamk of) }
   semantics = { position(O,U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { VPOargNoArticleOargNP(E,U,O) }
}.

%-----------------------------------------------------------------
% 
% LABELS
%
%-----------------------------------------------------------------

word = {
   name = { open }
   basic = { true }
   decl = { beta(I) }
   site = { n(I) }
   match = { () }
   semantics = { label(I,open) }
   presupposition = { true }
   pragmatics = { true }
   trees = { labelNounModification(I) }
}.
word = {
   name = { locked }
   basic = { true }
   decl = { beta(I) }
   site = { n(I) }
   match = { () }
   semantics = { label(I,locked) }
   presupposition = { true }
   pragmatics = { true }
   trees = { labelNounModification(I) }
}.

word = {
   name = { 3405 }
   basic = { true }
   decl = { beta(P) }
   site = { n(P) }
   match = { () }
   semantics = { instancePart(P,3405) }
   presupposition = { true }
   pragmatics = { true }
   trees = { instanceNumberModification(P) }
}.

%-----------------------------------------------------------------
% 
% MEASURE NOUNS (1.4.2)
%
%-----------------------------------------------------------------

word = {
   name = { degrees }
   basic = { true }
   decl = { beta(E,P,O,Q,V) }
   site = { vp(E,oargPath(P,O)) }
   match = { () }
   semantics = { distance(P,Q), measure(Q,degrees,V) }
   presupposition = { true }
   pragmatics = { true }
   trees = { measureNP(E,P,O,Q,V) }
}.

word = {
   name = { 45 }
   basic = { true }
   decl = { alpha(V) }
   site = { card(V) }
   match = { (number plural) }
   semantics = { value(V, 45) }
   presupposition = { true }
   pragmatics = { true }
   trees = { cardAdj(V) }
}.
word = {
   name = { 90 }
   basic = { true }
   decl = { alpha(V) }
   site = { card(V) }
   match = { (number plural) }
   semantics = { value(V, 90) }
   presupposition = { true }
   pragmatics = { true }
   trees = { cardAdj(V) }
}.

word = {
   name = { 1 }
   basic = { true }
   decl = { alpha(V) }
   site = { card(V) }
   match = { (number singular) }
   semantics = { value(V, 1) }
   presupposition = { true }
   pragmatics = { true }
   trees = { cardAdj(V) }
}.

%-----------------------------------------------------------------
% 
% PATHS WITH PLACE LANDMARKS (1.5.3)
%
%-----------------------------------------------------------------

word = {
   name = { into }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { ?PLC (endPath(P,PLC), placeType(PLC,in,LMK)) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
word = {
   name = { to }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { ?PLC (endPath(P,PLC), placeType(PLC,at,LMK)) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
word = {
   name = { on }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { ?PLC (endPath(P,PLC), placeType(PLC,on,LMK)) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
word = {
   name = { near }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { ?PLC (endPath(P,PLC), placeType(PLC,near,LMK)) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.

word = {
   name = { in }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,in,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpConfigPlace(E,P,O,LMK) }
}.
word = {
   name = { in }
   basic = { true }
   decl = { alpha(P,LMK) }
   site = { pp(P) }
   match = { () }
   semantics = { placeType(P,in,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { ppConfigPlace(P,LMK) }
}.
word = {
   name = { at }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,at,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpConfigPlace(E,P,O,LMK) }
}.
word = {
   name = { at }
   basic = { true }
   decl = { alpha(P,LMK) }
   site = { pp(P) }
   match = { () }
   semantics = { placeType(P,at,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { ppConfigPlace(P,LMK) }
}.
word = {
   name = { on }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,on,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpConfigPlace(E,P,O,LMK) }
}.
word = {
   name = { on }
   basic = { true }
   decl = { alpha(P,LMK) }
   site = { pp(P) }
   match = { () }
   semantics = { placeType(P,on,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { ppConfigPlace(P,LMK) }
}.
word = {
   name = { near }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,near,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpConfigPlace(E,P,O,LMK) }
}.
word = {
   name = { near }
   basic = { true }
   decl = { alpha(P,LMK) }
   site = { pp(P) }
   match = { () }
   semantics = { placeType(P,near,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { ppConfigPlace(P,LMK) }
}.

%-----------------------------------------------------------------

word = {
    name = { parenthetical reference }
    basic = { true }
    decl = { beta(E,L) }
    site = { s(E) }
    match = { () }
    semantics = { sectionReference(E,L) }
    presupposition = { true }
    pragmatics = { true }
    trees = { sectionReference(E,L) }
}.
