
% MOTION VERBS (1.3.1)

% SLIDE (smooth motion along a surface)

word = {
   name = { slide }
   basic = { true }
   decl = { alpha(E,A,O,P) }
   site = { s(E) }
   match = { () }
   semantics = { causedMotion(E,A,O,P), smooth(E) }
   presupposition = { ?S ?T(start(P,S), start(E,T), config(T,O,S)), contact(P) }   
   pragmatics = { true }
   trees = { imperativeMotionVerb(E,A,O,P) }
}.

% ROTATE (circular motion around object center)

word = {
  name = { rotate }
  basic = { true }
  decl = { alpha(E,A,O,P) }
  site = { s(E) }
  match = { () }
  semantics = { causedMotion(E,A,O,P) }
  presupposition = { ?S ?T(start(P,S), start(E,T), config(T,O,S)), 
		     ?X (around(P,X), center(O,X)) }
  pragmatics = { true }
  trees = { imperativeMotionVerb (E,A,O,P) }
}.

% TURN (circular motion around object pivot)

word = {
  name = { turn }
  basic = { true }
  decl = { alpha(E,A,O,P) }
  site = { s(E) }
  match = { () }
  semantics = { causedMotion(E,A,O,P), motion(E,rotational) }
  presupposition = { ?S ?T(start(P,S), start(E,T), config(T,O,S)), 
		     ?X (around(P,X), pivot(O,X)) }
  pragmatics = { true }
  trees = { imperativeMotionVerb (E,A,O,P) }
}.

% PUSH (motion involving force exerted away from agent)

word = {
  name = { push }
  basic = { true }
  decl = { alpha(E,A,O,P) }
  site = { s(E) }
  match = { () }
  semantics = { forcedMotion(E,A,O,P) }
  presupposition = { ?S ?T(start(P,S), start(E,T), config(T,O,S)), 
		      away(P,A) }
  pragmatics = { true }
  trees = { imperativeMotionVerb (E,A,O,P) }
}.

% PULL (motion involving force exerted toward agent)

word = {
  name = { pull }
  basic = { true }
  decl = { alpha(E,A,O,P) }
  site = { s(E) }
  match = { () }
  semantics = { forcedMotion(E,A,O,P) }
  presupposition = { ?S ?T(start(P,S), start(E,T), config(T,O,S)), 
		     toward(P,A) }
  pragmatics = { true }
  trees = { imperativeMotionVerb (E,A,O,P) }
}.

% LIFT (motion involving force upward)

word = {
  name = { lift }
  basic = { true }
  decl = { alpha(E,A,O,P) }
  site = { s(E) }
  match = { () }
  semantics = { forcedMotion(E,A,O,P) }
  presupposition = { ?S ?T(start(P,S), start(E,T), config(T,O,S)), 
		     direction(P,up,exact) }
  pragmatics = { true }
  trees = { imperativeMotionVerb (E,A,O,P) }
}.
