%-------------------------------------------------
%
%  A lexicon defined by m4 macros!
%
%-------------------------------------------------

























%-------------------------------------------------
%
% NEAR MOTION VERBS (1.3.4)
%
%-------------------------------------------------

% POSITION (get something into the configuration intended for it)

word = {
    name = { position }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { end(E,R), causedEvent(E,A), Result config(R,O,L) }
    presupposition = { end(E,R), position(O,L) }
    pragmatics = { true }
    trees = { imperativeNearMotionVerb(E,A,O,L) }
}.

% REPOSITION (get something back into the configuration intended for it)
% (NEW ENTRY)

word = {
    name = { reposition }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { end(E,R), causedEvent(E,A), Result config(R,O,L) }
    presupposition = { end(E,R), position(O,L), ?T(before(T,R), config(T,O,L)) }
    pragmatics = { true }
    trees = { imperativeNearMotionVerb(E,A,O,L) }
}.

% INSTALL (fasten something into the configuration intended for it)
% (NEW ENTRY)

word = {
    name = { install }
    basic = { true }
    decl = { alpha(E,A,O,L,R) }
    site = { s(E) }
    match = { () }
    semantics = { end(E,R), causedEvent(E,A), Result config(R,O,L), Result fastened(R,O,L) }
    presupposition = { end(E,R), position(O,L) }
    pragmatics = { true }
    trees = { imperativeNearMotionVerb(E,A,O,L) }
}.

%-------------------------------------------------
%
% PUT VERBS (Will be 1.3.5)
%
%-------------------------------------------------

% PUT
% (NEW ENTRY)
%   most general put verb

% PLACE
% (NEW ENTRY)
%    differs from position in that
%       - must be performed by hand
%       - "positions for objects" are intended to be permanent,
%         "places for objects" may be temporary

%-----------------------------------------------------------------
%
% NOUNS (1.4)
%
%-----------------------------------------------------------------

%-----------------------------------------------------------------
% 
% BASIC NOUNS (1.4.0/1.4.1)
%
%-----------------------------------------------------------------

word = {
   name = { sleeve }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { sleeve(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { sleeve }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), sleeve(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { sleeve }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { sleeve(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleOargNP(E,U) }
}.
word = {
   name = { coupling }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { coupling(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { coupling }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), coupling(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { coupling }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { coupling(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleOargNP(E,U) }
}.
word = {
   name = { joint }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { joint(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { joint }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), joint(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { joint }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { joint(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleOargNP(E,U) }
}.
word = {
   name = { elbow }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { elbow(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { elbow }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), elbow(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { elbow }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { elbow(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleOargNP(E,U) }
}.
word = {
   name = { valve }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { valve(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { valve }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), valve(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { valve }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { valve(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleOargNP(E,U) }
}.
word = {
   name = { tube }
   basic = { true }
   decl = { alpha(I) }
   site = { np(I) }
   match = { () }
   semantics = { tube(I) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleNP(I) }
}.
word = {
   name = { tube }
   basic = { true }
   decl = { beta(I,J) }
   site = { n(I) }
   match = { () }
   semantics = { functionalPart(I,J), tube(J) }
   presupposition = { true }
   pragmatics = { true }
   trees = { nounNounModification(I,J) }
}.
word = {
   name = { tube }
   basic = { true }
   decl = { beta(E,U) }
   site = { vp(E,oarg(U)) }
   match = { () }
   semantics = { tube(U) }
   presupposition = { true }
   pragmatics = { true }
   trees = { noArticleOargNP(E,U) }
}.

%-----------------------------------------------------------------
% 
% PATHS WITH PLACE LANDMARKS (1.5.3)
%
%-----------------------------------------------------------------

word = {
   name = { into }
   basic = { true }
   decl = { beta(E,P,O,PLC,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { end(P,PLC), placeType(PLC,in,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,PLC,LMK) }
}.
word = {
   name = { to }
   basic = { true }
   decl = { beta(E,P,O,PLC,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { end(P,PLC), placeType(PLC,at,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,PLC,LMK) }
}.
word = {
   name = { on }
   basic = { true }
   decl = { beta(E,P,O,PLC,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { end(P,PLC), placeType(PLC,on,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,PLC,LMK) }
}.
word = {
   name = { near }
   basic = { true }
   decl = { beta(E,P,O,PLC,LMK) }
   site = { vp(E,oargPath(P,O)) }
   match = { ( ) }
   semantics = { end(P,PLC), placeType(PLC,near,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,PLC,LMK) }
}.

word = {
   name = { in }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,in,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
word = {
   name = { at }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,at,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
word = {
   name = { on }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,on,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
word = {
   name = { near }
   basic = { true }
   decl = { beta(E,P,O,LMK) }
   site = { vp(E,oargConfig(P,O)) }
   match = { ( ) }
   semantics = { placeType(P,near,LMK) }
   presupposition = { true }
   pragmatics = { true }
   trees = { vpPathPlace(E,P,O,LMK) }
}.
